Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.auth
Interface IAuthProvider

public interface IAuthProvider

An interface that provides on-demand authentication against a remote system.

Method Summary
`void` | `authenticate(java.lang.String username, java.lang.String password, AuthInfo authInfo)` Authenticates the user into the portal.

Method Detail

### authenticate

    public void authenticate(java.lang.String username,
                             java.lang.String password,
                             AuthInfo authInfo)
                      throws AccessDeniedException,
                             ServiceException

  Authenticates the user into the portal. Throws `AccessDeniedException` if the user is not properly authenticated. As of portal version 5.0.4, the following subclasses of `ServiceException` should be used instead of `AccessDeniedException`:
  - `PasswordMustChangeException` if the user's password must change before login.
  - `PasswordExpiredException` if the user's password has expired and must be changed.
  - `InvalidUsernameOrPasswordException` if the user has entered an invalid username or password.
  - `InvalidConfigurationException` if the remote server configuration is invalid.
  - `GeneralFailureException` if there was a general failure.
  - `RemoteServerUnreachableException` if the remote server was unreachable.
  - `RemoteServerUnavailableException` if the remote server was reachable, but unavailable.
  - `AccountLockedException` if the account on the remote system was locked or unavailable.
  - `AccountExpiredException` if the account on the remote system has expired.

  Parameters:
    `username` - the name of the user to authenticate
    `password` - the user's password
    `authInfo` - an `AuthInfo` object containing information about this authentication source; can be null. Note: The names in the `NamedValue`s in `authInfo` will be uppercase. `authInfo` is populated from SCI pages associated with the Web Service.
  Throws:
    `AccessDeniedException` - if the user was not successfully authenticated
    `ServiceException` - if an error occurred
  See Also:
    `AuthInfo`, `PasswordMustChangeException`, `PasswordExpiredException`, `InvalidUsernameOrPasswordException`, `InvalidConfigurationException`, `GeneralFailureException`, `RemoteServerUnreachableException`, `RemoteServerUnavailableException`, `AccountLockedException`, `AccountExpiredException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.